import { CronJob } from "cron"

/**
 * Run a function every day at 1 AM, Oslo time.
 * @param onTick Function to run.
 * @returns CronJob instance.
 */
export function cronJobDaily(onTick: () => Promise<void>): CronJob {
  return CronJob.from({
    cronTime: "0 0 1 * * *",
    onTick,
    start: true,
    timeZone: "Europe/Oslo",
  })
}
